Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites".

#1 Le 19/06/2005, à 22:24

hugo69

[Résolu] ATI 9700 (encore)

Bonjour,
1°/ jai essayé d'installé les radeon en fesant la manip dans le xorg.conf : jai pas de mieux meme les screensavers ne passent pas.



2°/ jai essayé les xorg-fglr tvtime ne se lance pas, xdtv fait planter lordi mais le simulateur davion semble se lancer contrairement aux drivers ati ou radeon

3°/ jai vu kil y avait aussi les xfree-fglr . jai pas voulu les installer car il demandait dinstaller xserver-xfree86 et donc de deinstaller ubuntu desktop,x-window-system-core,xorg-drivers-synaptic,xserver-xorg.



Cette deinstallation me semble lourde et jai peur de perdre pas mal de chose comme mes mixeurs, selecteurs multimedia et autres.


Mes questions sont les suivantes, je sais ke le sujet a deja bcp ete abordé, mais pas le cas du pb de tv et autres. Car les fglr semble marcher mais empeche tvtime et plante le systeme avec xdtv:

a) Apparament je sous x11, est ce ke xfree est mieux, quelle est la difference?
b) Ai je interet à installer xfree86 et donc deinstaller ubuntu desktop et autres?
c) Y a til une solution pour eviter mes problemes avec les tv?
d) Kelle est le meilleure choix niveau performance? ati, radeon ou fglr?
e) je vois partout ke les drivers donne un support 2d, cest bien gentil mais ca fait kelkes années kon parle surtout de 3d et que les cartes daujourdhui sont plus faites pour de la 3d puissantes, il ny a pas de support 3 d possible sous ubuntu?

toute aide est fortement appreciée, car je trouve pas de solution à mes questions dans les post existants, javoue ke jy ai pas passé la nuit, mais jy ai deja passé kelkes heures et je suis passé pas loin du plantage et de la reinstallation alors je prefere ne pas trop faire le gallard.

Dernière modification par hugo69 (Le 20/06/2005, à 12:34)

Hors ligne

#2 Le 19/06/2005, à 22:41

Stemp

Re : [Résolu] ATI 9700 (encore)

A mon avis la meilleure solution devrait être d'utiliser le ATI Driver Installer disponible sur le site ati.
Pas besoin de transformer un .rpm en .deb, et ça permet aussi d'utiliser la sortie tv.
Seule précaution à prendre, sauvegarder ton fichier xorg.conf (au cas où).
Ensuite si la 3D ne fonctionne pas, il suffit de déplacer l'ancien fichier fglrx.ko.
Rien de très sorcier, ati semble faire des efforts en direction de la communauté Linux wink


«La violence n'a jamais rien réglé» Gengis Khan 1162-1227
Blog | Crunchbang Linux | Arch Linux

Hors ligne

#3 Le 19/06/2005, à 22:49

hugo69

Re : [Résolu] ATI 9700 (encore)

Stemp a écrit :

A mon avis la meilleure solution devrait être d'utiliser le ATI Driver Installer disponible sur le site ati.
Pas besoin de transformer un .rpm en .deb, et ça permet aussi d'utiliser la sortie tv.
Seule précaution à prendre, sauvegarder ton fichier xorg.conf (au cas où).
Ensuite si la 3D ne fonctionne pas, il suffit de déplacer l'ancien fichier fglrx.ko.
Rien de très sorcier, ati semble faire des efforts en direction de la communauté Linux wink

je suis en train de tester mais kan je fais le lancement jai ca:

root@ublue:/home/hugi # ./ati-driver-installer-8.14.13.run
bash: ./ati-driver-installer-8.14.13.run: Permission non accordée

comment etre sur ke je suis bien sur  x11, si mon selecteur de multimedia me met x11 cest bien ke je suis sur x11 et ke donc avvec linstalleur je dois choisi xorg? http://www2.ati.com/drivers/linux/linux … tml#172478

deplacer lancien fichier fglrx.ko? il est ou, je dois installer les paquet flgr avant ou je peux installer les ati etant sous ati dans xorg.conf pour linstant sans les paquets fglr et moldule chargé?

Hors ligne

#4 Le 19/06/2005, à 23:10

Stemp

Re : [Résolu] ATI 9700 (encore)

bash: ./ati-driver-installer-8.14.13.run: Permission non accordée

Bon, je ne suis pas fan de l'utilisation de la console root wink
Donc en Console Utilisateur :

sudo chmod 777 ati-driver-installer-8.14.13.run
sudo sh ati-driver-installer-8.14.13.run

PS : Ubuntu utilise xorg


«La violence n'a jamais rien réglé» Gengis Khan 1162-1227
Blog | Crunchbang Linux | Arch Linux

Hors ligne

#5 Le 20/06/2005, à 10:35

hugo69

Re : [Résolu] ATI 9700 (encore)

OK Merci.

Dopnc jai reussi à installer les drivers ati avec lassistant.

Je configure le worg.cong a laide de loutil de ati.

Je redemarre et la il me dit dabord ke jai une erreur XKB du à un bogue soit dans X, soit dans dautres trucs. apparement cest le clavier.?????

ensuite je regarde les performances par exemple coté screensaver. ya rien de mieux ma 9700 est incapable de donner de la 3D.

Pourtant lutilitaire dati est bien la et semble fonctionner.

Le fichier xorg.conf dit que jutilise le drivers vga kelke part et dans la section device je crois, il dit ke jutilise donc fglr qui netait pas dans le ficheir module et ke jai donc mis manuellement. pas davancement ni avant, ni apres

jy comprend plus rien, linstall semble ok mais je nai pas de gain, y a til une option à cocher, un element a rajouter, a modifier dans le choix des selcteurs multimedia par exemple.....

je suis un peu pommé coté X. (sur pc....   roll )

ca serait pas par la la soluce? http://forum.ubuntu-fr.org/viewtopic.php?id=6801

Dernière modification par hugo69 (Le 20/06/2005, à 10:53)

Hors ligne

#6 Le 20/06/2005, à 12:34

hugo69

Re : [Résolu] ATI 9700 (encore)

donc jai suivi tes conseils dun autre post:

Salut,

Vérifie que tu as bien un répertoire /lib/modules/fglrx et que tu as bien un fichier fglrx.ko, puis essaie :
sudo mv /lib/modules/YOURKERNELVERSIONHERE/kernel/drivers/video/fglrx.ko $HOME

Nb: remplacer YOURKERNELVERSIONHERE par votre version de kernel (ex chez moi : lib/module/2.6.10-5-686/....)

et jai fait comme lui:

Bonsoir,

Ca y est en ce qui me concerne c'est réglé. Effectivement j'ai enlevé le fichier fglrx.ko et refait un compilation sans problème. Bon je n'obtiens pas des stats fantastique (1000fps avec une radeon 9600se) mais je vais pas me plaindre, ca marche enfin smile .

cest a dire ke jai virer ce fichier et jai reinstallé les drivers ati propritaire a laide de lassistant dinstallation. jai redemaré et deja les screensavers ne sont plsu à 3fps mais à 58

la tv marche.

pour info je nai pas le fglr dans mon fichier module

je vais tester pour le reste.

merci bcp

Hors ligne

#7 Le 20/06/2005, à 13:07

hugo69

Re : [Résolu] ATI 9700 (encore)

la seule chose cest ke jai toujours la meme erreur au demarrage apres entrée dans la seesion relative au clavier:

Erreur lors de l'activation de la configuration XKB.
Cela peut arriver pour plusieurs raisons :
- un bogue dans la bibliothèque libxklavier
- un bogue dans le serveur X (xkbcomp, utilitaires xmodmap)
- serveur X avec une implémentation de libxkbfile incompatible

Données de version du serveur X :
The X.Org Foundation
60802000

Si vous rapportez cette situation comme une anomalie, veuillez inclure :
- Le résultat de <b>xprop -root | grep XKB</b>
- Le résultat de <b>gconftool-2 -R /desktop/gnome/peripherals/keyboard/kbd</b>

Hors ligne

#8 Le 20/06/2005, à 18:28

Stemp

Re : [Résolu] ATI 9700 (encore)

Salut,

Si je me souviens bien, la configuration de xorg se trompe de driver et de divers paramètres pour le clavier.
Donc tu devrais changer ton fichier pour que cela ressemble à ça :

Section "InputDevice"

    Identifier	"Keyboard1"
    Driver	"keyboard"

    Option "AutoRepeat" "500 30"

    Option "XkbRules"	"xorg"
    Option "XkbModel"	"pc105"
    Option "XkbLayout"	"fr-latin9"
EndSection

«La violence n'a jamais rien réglé» Gengis Khan 1162-1227
Blog | Crunchbang Linux | Arch Linux

Hors ligne

#9 Le 20/06/2005, à 18:38

hugo69

Re : [Résolu] ATI 9700 (encore)

t un chef stemp, merci

Hors ligne

Haut de page ↑